class CreatePSheetLineLines < ActiveRecord::Migration
  def change
    create_table :p_sheet_line_lines do |t|
      t.references :p_sheet_line, index: true, foreign_key: true
      t.references :p_product_stock, index: true, foreign_key: true
      t.references :p_size, index: true, foreign_key: true
      t.references :p_color, index: true, foreign_key: true
      t.integer :ok_p_size_id
      t.integer :ok_p_color_id
      t.string :ok_code
      t.integer :qte
      t.decimal :price_u_ht, precision: 10, scale: 2
      t.decimal :price_ht, precision: 10, scale: 2

      t.timestamps null: false
    end
  end
end
